image:
  tag: 1.22

ingress:
  enabled: true
  className: nginx
  annotations:
    cert-manager.io/cluster-issuer: letsencrypt
    nginx.ingress.kubernetes.io/proxy-body-size: "0"
    nginx.org/client-max-body-size: "0"
    apiVersion: networking.k8s.io/v1
    nginx.ingress.kubernetes.io/stream-snippet: |
      server {
        listen 22;
        proxy_pass [::]:22;
      }
  hosts:
    - host: gitea.reeseapps.com
      paths:
        - path: /
          pathType: Prefix
  tls:
  - hosts:
    - gitea.reeseapps.com
    secretName: gitea-tls-cert

persistence:
  enabled: true
  create: true
  claimName: data-gitea-0
  annotations:
    "helm.sh/resource-policy": keep

postgresql:
  enabled: true
  image:
    tag: 15
  primary:
    persistence:
      enabled: true
      annotations:
        "helm.sh/resource-policy": keep

postgresql-ha:
  enabled: false

gitea:
  admin:
    existingSecret: gitea-admin-secret
  config:
    service:
      DISABLE_REGISTRATION: true
    server:
      SSH_PORT: 22
      SSH_DOMAIN: git.reeseapps.com

service:
  ssh:
    port: 22
    type: LoadBalancer
    externalTrafficPolicy: Local
    ipFamilyPolicy: SingleStack
    ipFamilies: ["IPv6"]
    annotations:
      metallb.universe.tf/address-pool: "external"
      external-dns.alpha.kubernetes.io/hostname: git.reeseapps.com


redis-cluster:
  enabled: false
  image:
    tag: 7.2

deployment:
  tolerations:
    - key: "node.kubernetes.io/unreachable"
      operator: "Exists"
      effect: "NoExecute"
      tolerationSeconds: 1
    - key: "node.kubernetes.io/not-ready"
      operator: "Exists"
      effect: "NoExecute"
      tolerationSeconds: 1

strategy:
  type: Recreate
